package com.sundot.airport.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.BaseEntity;

/**
 * 查获物品对象 base_seize_item
 *
 * @author ruoyi
 * @date 2025-07-09
 */
public class BaseSeizeItem extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户号
     */
    private String tenantId;

    /**
     * 乐观锁
     */
    private Integer revision;

    /**
     * 物品名称
     */
    @Excel(name = "物品名称")
    private String name;

    /**
     * 分类编码
     */
    @Excel(name = "分类编码")
    private String categoryCode;

    /**
     * 危险等级
     */
    @Excel(name = "危险等级")
    private String dangerLevel;

    /**
     * 主键
     */
    private Long id;

    /**
     * 分类名称
     */
    @Excel(name = "分类名称")
    private String categoryName;

    /**
     * 编码
     */
    @Excel(name = "编码")
    private String code;

    /**
     * 危险等级名称
     */
    @Excel(name = "危险等级名称")
    private String dangerLevelDesc;

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setRevision(Integer revision) {
        this.revision = revision;
    }

    public Integer getRevision() {
        return revision;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

    public String getCategoryCode() {
        return categoryCode;
    }

    public void setDangerLevel(String dangerLevel) {
        this.dangerLevel = dangerLevel;
    }

    public String getDangerLevel() {
        return dangerLevel;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setDangerLevelDesc(String dangerLevelDesc) {
        this.dangerLevelDesc = dangerLevelDesc;
    }

    public String getDangerLevelDesc() {
        return dangerLevelDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("tenantId", getTenantId())
                .append("revision", getRevision())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("name", getName())
                .append("categoryCode", getCategoryCode())
                .append("dangerLevel", getDangerLevel())
                .append("id", getId())
                .append("categoryName", getCategoryName())
                .append("remark", getRemark())
                .append("code", getCode())
                .append("dangerLevelDesc", getDangerLevelDesc())
                .toString();
    }
}
